/*********************************/
/*	COMP 250	
 * 	Assigment 3
 * 
 * 	By: 
 * 	Simon Foucher
 * 	260 223 197
 * 
/*********************************/


package Question1;

public class StackSLL {

	  /* instance fields */
	  Object value;
	  StackSLL next;

	  /* Constructors */
	  public StackSLL(){
		  next = null;
	  }
	  
	  public StackSLL(Object o){
		  value = o;
		  next = null;
	  }

	  /* Instance methods */
	  public void push(Object o){
		 StackSLL temp = new StackSLL (o);
		 temp.next = next;
		 next = temp;
	  }
	  
	  
	  // pops an object from the stack
	  public Object pop(){
		  if(next == null)
			  return null;
		  
		  Object o = next.value;
		  next = next.next;
		  return o;
	  }
	  
	  // Shows the next guy to be poped from the stack
	  public Object peek()
	  {
		  if(next == null)
			  return null;
		  
		  Object o = next.value;
		  return o;
	  }

	  // returns empty if the stack is empty
	  public boolean isEmpty(){
		  if(next == null)
			  return true;
		  else
			  return false;
	  }
	  
	  
	  
	  // To test
	  /*
	  public static void main(String[] args){
		  StackSLL stack = new StackSLL();
		  stack.push("Testing");
		  stack.push("ONE");
		  stack.push("TWO");
		  stack.push(new Integer(69));
		  System.out.println(stack.pop());
		  System.out.println(stack.pop());
		  System.out.println(stack.pop());
		  System.out.println(stack.pop());
		  System.out.println(stack.pop());
		  System.out.println(stack.pop());

	  }
*/
	}


