/*********************************/
/*	COMP 250	
 * 	Assigment 3
 * 
 * 	By: 
 * 	Simon Foucher
 * 	260 223 197
 * 
/*********************************/

package Question4;

public class Node {
	
	private int key;
	private Node leftChild;
	private Node rightChild;
	/**
	 * Constructor
	 * @param k the key of the new node
	 */
	public Node(int k)
	{
		key = k;
		leftChild = null;
		rightChild = null;
	}
	/**
	 * 
	 * @param k the new value for key
	 */
	public void setKey(int k)
	{
		key = k;
	}
	/**
	 * 
	 * @return the key value of this node
	 */
	public int getKey()
	{
		return key;
	}
	/**
	 * 
	 * @param lChild The node to be set as the left child of current node.
	 */
	public void setLeftChild(Node lChild)
	{
		leftChild = lChild;
	}
	/**
	 * 
	 * @param rChild The node to be set as the right child of current node.
	 */
	public void setRightChild(Node rChild)
	{
		rightChild = rChild;
	}
	/**
	 * 
	 * @return right child of current node.c
	 */
	public Node getRightChild()
	{
		return rightChild;
	}
	/**
	 * 
	 * @return left child of current node.
	 */
	public Node getLeftChild()
	{
		return leftChild;
	}

}
